gwu(1)

NAME
gwu - Dump a GeneWeb database

SYNOPSIS
gwu [ options ] < base_file >

DESCRIPTION
gwu dumps the contents of the GeneWeb database to standard output. It's a good way to backup the database in a neutral form, and can facilitate upgrades to new software.

The primary documentation of gwu is in the HTML documentation, which you can find in the documentation directory (/usr/share/doc/geneweb on Debian systems).
Please look there for complete and up-to-date documentation.

OPTIONS

-help
    command-line help

-o <file>
    output file name (else stdout)

-odir <dir>
    create files from original name in directory (else on -o file)

-mem
    save memory space, but slower

-a <1st_name> [num] <surname>
    select ancestors of ...

-d <1st_name> [num] <surname>
    select descendants of ...

-ad <1st_name> [num] <surname>
    select ancestors of ... and all their descendants (has no effect if -a and/or -d used, option -nsp is forced).

-aws <1st_name> [num] <surname>
    select ancestors with siblings

-s <surname>
    select this surname (option usable several times)

-nsp
    no spouses' parents (for options -s and -d)

-nn no (database) notes

-c <num>
    When a person is born less than <num> years ago, it is not exported unless it is Public. All the spouses and descendants are also censored.

-sep 1st_name.num surname
    To use together with the option "-odir": separate this person and all his ancestors and descendants sharing the same surname. All the concerned families are displayed on standard output instead of their associated files. This option can be used several times.

-sep_only_file <file>
    With option "-sep", tells to separate only groups of that file.

-sep_limit <num>
    When using the option "-sep", groups of families can become isolated in the files. Gwu reconnects them to the separated families (i.e. displays them to standard output) if the size of these groups is less than 21. The present option changes this limit.